#!/bin/bash


MAIN_PATH="$HOME/UserFiles/lliurex-infantile-profile/"
INFANTILE_PATH="$HOME/UserFiles/lliurex-infantile-profile/infantile"
PRIMARY_PATH="$HOME/UserFiles/lliurex-infantile-profile/primary"
SECONDARY_PATH="$HOME/UserFiles/lliurex-infantile-profile/secondary"

DEF_INFANTILE="/usr/share/lliurex-infantile-profile/profiles/infantile"
DEF_PRIMARY="/usr/share/lliurex-infantile-profile/profiles/primary"
DEF_SECONDARY="/usr/share/lliurex-infantile-profile/profiles/secondary"

DOTCONFIG="$HOME/.config"
DOTLOCAL="$HOME/.local/share"

INFANTILE_LIST="/usr/share/lliurex-infantile-profile/lliurex-do/infantile/list"
LLIUREX_DO_PATH="$HOME/.lliurex-do"


if [ -e "$DOTCONFIG/menus" ];then

	rm -rf $DOTCONFIG/menus	

fi


if [ -e "$DOTLOCAL/desktop-directories" ];then

	rm -rf $DOTLOCAL/desktop-directories

fi


if [ -e "$LLIUREX_DO_PATH/list" ];then

	rm $LLIUREX_DO_PATH/list
fi


mkdir -p $MAIN_PATH



if [ "$1" == "infantile" ]; then

	echo "loading infantile profile menu"
	mkdir -p $INFANTILE_PATH

	cp -r $DEF_INFANTILE/desktop-directories $DOTLOCAL
	cp -r $DEF_INFANTILE/menus $DOTCONFIG
	mv $DOTCONFIG/menus/applications.menu $DOTCONFIG/menus/applications.menu.bak
	sed -e s%lliurex%$USER% $DOTCONFIG/menus/applications.menu.bak > $DOTCONFIG/menus/applications.menu

	mv $DOTCONFIG/menus/settings.menu $DOTCONFIG/menus/settings.menu.bak

	sed -e s%lliurex%$USER% $DOTCONFIG/menus/settings.menu.bak > $DOTCONFIG/menus/settings.menu

	
	cp $DEF_INFANTILE/profile.pkl $INFANTILE_PATH
	cp $INFANTILE_LIST $LLIUREX_DO_PATH


else

if [ "$1" == "primary" ]; then

	echo "loading primary profile menu"
	mkdir -p $PRIMARY_PATH
	cp -r $DEF_PRIMARY/desktop-directories $DOTLOCAL
	cp -r $DEF_PRIMARY/menus $DOTCONFIG

	mv $DOTCONFIG/menus/applications.menu $DOTCONFIG/menus/applications.menu.bak
	sed -e s%lliurex%$USER% $DOTCONFIG/menus/applications.menu.bak > $DOTCONFIG/menus/applications.menu

	mv $DOTCONFIG/menus/settings.menu $DOTCONFIG/menus/settings.menu.bak

	sed -e s%lliurex%$USER% $DOTCONFIG/menus/settings.menu.bak > $DOTCONFIG/menus/settings.menu

	cp $DEF_PRIMARY/profile.pkl $PRIMARY_PATH



else

if [ "$1" == "secondary" ]; then

	echo "loading secondary profile menu"
	mkdir -p $SECONDARY_PATH

	cp -r $DEF_SECONDARY/desktop-directories $DOTLOCAL
	cp -r $DEF_SECONDARY/menus $DOTCONFIG
	mv $DOTCONFIG/menus/applications.menu $DOTCONFIG/menus/applications.menu.bak
	sed -e s%lliurex%$USER% $DOTCONFIG/menus/applications.menu.bak > $DOTCONFIG/menus/applications.menu

	mv $DOTCONFIG/menus/settings.menu $DOTCONFIG/menus/settings.menu.bak

	sed -e s%lliurex%$USER% $DOTCONFIG/menus/settings.menu.bak > $DOTCONFIG/menus/settings.menu

	
	cp $DEF_SECONDARY/profile.pkl $SECONDARY_PATH




else

	echo "USAGE:"
	echo "       load-files infantile"
	echo "       load-files primary"
	echo "       load-files secondary"
	echo ""
fi

fi 

fi

